CallSite (Groovy 2.4.16)
Date: 2018-12-09

org.codehaus.groovy.runtime.callsite

## Interface CallSite

- All Known Implementing Classes:
    AbstractCallSite, ConstructorMetaClassSite, ConstructorMetaMethodSite, ConstructorSite, ConstructorSite.ConstructorSiteNoUnwrap, ConstructorSite.ConstructorSiteNoUnwrapNoCoerce, ConstructorSite.NoParamSite, ConstructorSite.NoParamSiteInnerClass, DummyCallSite, GetEffectivePogoFieldSite, GetEffectivePojoPropertySite, MetaClassConstructorSite, MetaClassSite, MetaMethodSite, NullCallSite, NumberNumberMetaMethod.NumberNumberCallSite, PerInstancePojoMetaClassSite, PogoGetPropertySite, PogoInterceptableSite, PogoMetaClassGetPropertySite, PogoMetaClassSite, PogoMetaMethodSite, PogoMetaMethodSite.PogoCachedMethodSite, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrap, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrap, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce, PojoMetaClassGetPropertySite, PojoMetaClassSite, PojoMetaMethodSite, PojoMetaMethodSite.PojoCachedMethodSite, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrapNoCoerce, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrap, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrapNoCoerce, StaticMetaClassSite, StaticMetaMethodSite, StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap, StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce

      public interface CallSite

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call(java.lang.Object receiver)`
    `java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1)`
    `java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`
    `java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)`
    `java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
    `java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
    `java.lang.Object` | `callConstructor(java.lang.Object receiver)`
    `java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1)`
    `java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`
    `java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)`
    `java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
    `java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
    `java.lang.Object` | `callCurrent(GroovyObject receiver)`
    `java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1)`
    `java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object[] args)`
    `java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2)`
    `java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
    `java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
    `java.lang.Object` | `callGetProperty(java.lang.Object receiver)`
    `java.lang.Object` | `callGetPropertySafe(java.lang.Object receiver)`
    `java.lang.Object` | `callGroovyObjectGetProperty(java.lang.Object receiver)`
    `java.lang.Object` | `callGroovyObjectGetPropertySafe(java.lang.Object receiver)`
    `java.lang.Object` | `callSafe(java.lang.Object receiver)`
    `java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1)`
    `java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object[] args)`
    `java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2)`
    `java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
    `java.lang.Object` | `callSafe(java.lang.Object receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
    `java.lang.Object` | `callStatic(java.lang.Class receiver)`
    `java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1)`
    `java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object[] args)`
    `java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2)`
    `java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
    `java.lang.Object` | `callStatic(java.lang.Class receiver, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
    `CallSiteArray` | `getArray()`
    `int` | `getIndex()`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getProperty(java.lang.Object receiver)`

- - ### Method Detail

    - #### getArray

          CallSiteArray getArray()

    - #### getIndex

          int getIndex()

    - #### getName

          java.lang.String getName()

    - #### getProperty

          java.lang.Object getProperty(java.lang.Object receiver)
                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callGetPropertySafe

          java.lang.Object callGetPropertySafe(java.lang.Object receiver)
                                        throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callGetProperty

          java.lang.Object callGetProperty(java.lang.Object receiver)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callGroovyObjectGetProperty

          java.lang.Object callGroovyObjectGetProperty(java.lang.Object receiver)
                                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callGroovyObjectGetPropertySafe

          java.lang.Object callGroovyObjectGetPropertySafe(java.lang.Object receiver)
                                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### call

          java.lang.Object call(java.lang.Object receiver,
                                java.lang.Object[] args)
                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### call

          java.lang.Object call(java.lang.Object receiver)
                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### call

          java.lang.Object call(java.lang.Object receiver,
                                java.lang.Object arg1)
                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### call

          java.lang.Object call(java.lang.Object receiver,
                                java.lang.Object arg1,
                                java.lang.Object arg2)
                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### call

          java.lang.Object call(java.lang.Object receiver,
                                java.lang.Object arg1,
                                java.lang.Object arg2,
                                java.lang.Object arg3)
                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### call

          java.lang.Object call(java.lang.Object receiver,
                                java.lang.Object arg1,
                                java.lang.Object arg2,
                                java.lang.Object arg3,
                                java.lang.Object arg4)
                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callSafe

          java.lang.Object callSafe(java.lang.Object receiver,
                                    java.lang.Object[] args)
                             throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callSafe

          java.lang.Object callSafe(java.lang.Object receiver)
                             throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callSafe

          java.lang.Object callSafe(java.lang.Object receiver,
                                    java.lang.Object arg1)
                             throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callSafe

          java.lang.Object callSafe(java.lang.Object receiver,
                                    java.lang.Object arg1,
                                    java.lang.Object arg2)
                             throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callSafe

          java.lang.Object callSafe(java.lang.Object receiver,
                                    java.lang.Object arg1,
                                    java.lang.Object arg2,
                                    java.lang.Object arg3)
                             throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callSafe

          java.lang.Object callSafe(java.lang.Object receiver,
                                    java.lang.Object arg1,
                                    java.lang.Object arg2,
                                    java.lang.Object arg3,
                                    java.lang.Object arg4)
                             throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callCurrent

          java.lang.Object callCurrent(GroovyObject receiver,
                                       java.lang.Object[] args)
                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callCurrent

          java.lang.Object callCurrent(GroovyObject receiver)
                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callCurrent

          java.lang.Object callCurrent(GroovyObject receiver,
                                       java.lang.Object arg1)
                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callCurrent

          java.lang.Object callCurrent(GroovyObject receiver,
                                       java.lang.Object arg1,
                                       java.lang.Object arg2)
                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callCurrent

          java.lang.Object callCurrent(GroovyObject receiver,
                                       java.lang.Object arg1,
                                       java.lang.Object arg2,
                                       java.lang.Object arg3)
                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callCurrent

          java.lang.Object callCurrent(GroovyObject receiver,
                                       java.lang.Object arg1,
                                       java.lang.Object arg2,
                                       java.lang.Object arg3,
                                       java.lang.Object arg4)
                                throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callStatic

          java.lang.Object callStatic(java.lang.Class receiver,
                                      java.lang.Object[] args)
                               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callStatic

          java.lang.Object callStatic(java.lang.Class receiver)
                               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callStatic

          java.lang.Object callStatic(java.lang.Class receiver,
                                      java.lang.Object arg1)
                               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callStatic

          java.lang.Object callStatic(java.lang.Class receiver,
                                      java.lang.Object arg1,
                                      java.lang.Object arg2)
                               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callStatic

          java.lang.Object callStatic(java.lang.Class receiver,
                                      java.lang.Object arg1,
                                      java.lang.Object arg2,
                                      java.lang.Object arg3)
                               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callStatic

          java.lang.Object callStatic(java.lang.Class receiver,
                                      java.lang.Object arg1,
                                      java.lang.Object arg2,
                                      java.lang.Object arg3,
                                      java.lang.Object arg4)
                               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callConstructor

          java.lang.Object callConstructor(java.lang.Object receiver,
                                           java.lang.Object[] args)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callConstructor

          java.lang.Object callConstructor(java.lang.Object receiver)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callConstructor

          java.lang.Object callConstructor(java.lang.Object receiver,
                                           java.lang.Object arg1)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callConstructor

          java.lang.Object callConstructor(java.lang.Object receiver,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callConstructor

          java.lang.Object callConstructor(java.lang.Object receiver,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2,
                                           java.lang.Object arg3)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### callConstructor

          java.lang.Object callConstructor(java.lang.Object receiver,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2,
                                           java.lang.Object arg3,
                                           java.lang.Object arg4)
                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`